all: build

@PHONY: build
build:
	hugo

@PHONY: watch
watch:
	hugo server

@PHONY: clean
clean:
	rm -rf public

@PHONY: deploy
deploy: build
	rsync -av --delete-after public/ kirsle@kirsle.net:sites/noah.is/
